(function() {
    tinymce.create('tinymce.plugins.symplePortfolio', {
        init : function(ed, url) {
            ed.addButton('symple_portfolio', {
                title : 'Insert Portfolio',
                image : url+'/images/portfolio-mce.png',
                onclick : function() {
                     ed.selection.setContent('[symple_portfolio count="-1" columns="3" pagination="false" filter="" thumbnail_hard_crop="true" thumbnail_height="" title="true" excerpt="true" excerpt_length="15" read_more="false" category_id="" tag_id=""]');

                }
            });
        },
        createControl : function(n, cm) {
            return null;
        },
    });
    tinymce.PluginManager.add('symple_portfolio', tinymce.plugins.symplePortfolio);
})();